Gofive OpenAPI
empeoVenioeTaxGo
empeoVenioeTaxGo
  1. Document Management
  • Auth Request
    • Auth Token
      POST
  • Document Management
    • Validate Documents
      • Validate Documents Json
    • Delivery Service
      • Delivery Service Resend
    • Create Document JSON
      POST
    • List Sellers
      GET
    • Create Tax Invoice
      POST
    • Update Tax Invoice
      PUT
    • Create Debit Note
      POST
    • Create Credit Note
      POST
    • Create Invoice
      POST
    • Create Receipt
      POST
    • Create Invoice and Tax Invoice
      POST
    • Create Receipt and Tax Invoice
      POST
    • Create Delivery Order and Tax Invoice
      POST
    • Create Abbreviated Tax Invoice
      POST
    • Create Receipt Abbreviated Tax Invoice
      POST
    • Create Corrected Receipt
      POST
    • Cancel Document
      POST
    • Document Raw Data
      POST
    • Download Document
      POST
    • Get RD Submission Status
      GET
    • Download Document By Id
      GET
    • Get Batch By Id
      GET
    • List Provinces
      GET
    • List Districts
      GET
    • List Sub Districts
      GET
    • List Posts
      GET
  1. Document Management

Cancel Document

POST
https://api.gofive.co.th/etaxgo/Documents/{documentNumber}/cancel
ยกเลิกเอกสารอิเล็กทรอนิกส์ สำหรับเอกสารที่ยังไม่ได้ถูกนำส่ง กรมสรรพากร (RD)

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "documentType": "388",
    "reason": "ลูกค้าขอยกเลิก"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.gofive.co.th/etaxgo/Documents//cancel' \
--header 'Ocp-Apim-Subscription-Key: a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "documentType": "388",
    "reason": "ลูกค้าขอยกเลิก"
}'

Responses

🟢200
application/json
ยกเลิกสำเร็จ — status.isSuccess = true
Bodyapplication/json

Example
{
    "status": {
        "isSuccess": true
    },
    "data": {
        "documentNumber": "T2024001234",
        "rdSubmissionStatus": "CANCELLED",
        "cancelledAt": "2024-01-15T11:00:00"
    }
}
🟠400
🟠401
Modified at 2026-05-28 12:26:14
Previous
Create Corrected Receipt
Next
Document Raw Data
Built with